FreeCADGui API/de: Difference between revisions

From FreeCAD Documentation
(Created page with "{{VeryImportantMessage|(November 2018) Diese Information kann unvollständig und veraltet sein. Für die letzte API siehe die (engl.) [https://www.freecadweb.org/api autogener...")
 
No edit summary
 
(3 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{VeryImportantMessage|(November 2018) Diese Information kann unvollständig und veraltet sein. Für die letzte API siehe die (engl.) [https://www.freecadweb.org/api autogenerierte API-Dokumentation].}}
{{VeryImportantMessage|(Oktober 2019) Diese Seite nicht bearbeiten. Die Informationen sind unvollständig und veraltet. Für die aktuelle API siehe die (engl.) [https://www.freecadweb.org/api autogenerierte API-Dokumentation] oder erstelle die Dokumentation selbst, siehe [[Source documentation/de|Quellendokumentation]].}}


This module is the counterpart of the FreeCAD module. It contains everything related to the User interface and the 3D views. Example:
This module is the counterpart of the FreeCAD module. It contains everything related to the User interface and the 3D views. Example:
Line 35: Line 35:
{{APIFunction|updateGui| |Updates the main window and all its windows| }}
{{APIFunction|updateGui| |Updates the main window and all its windows| }}


{{Userdocnavi{{#translation:}}}}
[[Category:API]]
[[Category:API{{#translation:}}]]

[[Category:Poweruser Documentation{{#translation:}}]]
{{clear}}
{{clear}}

Latest revision as of 00:08, 17 April 2023

(Oktober 2019) Diese Seite nicht bearbeiten. Die Informationen sind unvollständig und veraltet. Für die aktuelle API siehe die (engl.) autogenerierte API-Dokumentation oder erstelle die Dokumentation selbst, siehe Quellendokumentation.

This module is the counterpart of the FreeCAD module. It contains everything related to the User interface and the 3D views. Example:

import FreeCAD as App
import FreeCADGui as Gui

# get the 3D model document
doc = App.ActiveDocument    

# get the visual representation model document
gui_doc = Gui.ActiveDocument

gui_doc.activateWorkbench("myWorkbench")


activateWorkbench(string)

Description: Activates a workbench by name

Returns: nothing

activeDocument( )

Description:

Returns: the active document or None if no one exists

activeWorkbench( )

Description:

Returns: the active workbench object

addCommand(string, object)

Description: Adds a FreeCAD command. String is the name of the command and object is a classname defining the command

Returns:

addIcon(string, string or list)

Description: Adds an icon as file name or in XPM format to the system

Returns:

addIconPath(string)

Description: Add a new path to the system where to find icon files

Returns:

addPreferencePage(string,string)

Description: Adds a UI form to the preferences dialog. The first argument specifies the file name and the second specifies the group name

Returns:

addWorkbench(string, object)

Description: Adds a workbench under a defined name. The string is the workbench name and the object is a classname defining the workbench

Returns:

createDialog(string)

Description: Opens a UI file

Returns:

getDocument(string)

Description: Gets a document by its name

Returns: the document

getWorkbench(string)

Description: Gets a workbench by its name

Returns: the workbench

insert(string)

Description: Open a macro, Inventor or VRML file

Returns: the document

listWorkbenches( )

Description: Shows a list of all workbenches

Returns: a list

open(string)

Description: Opens a macro, Inventor or VRML file

Returns: the openend document

removeWorkbench(string)

Description: Removes a workbench by name

Returns:

runCommand(string)

Description: Runs a FreeCAD command by name

Returns:

updateGui( )

Description: Updates the main window and all its windows

Returns: